# arch-repo manager

Special thanks to nachoparker for his article:

* https://ownyourbits.com/2019/07/21/replicate-your-system-with-self-hosted-arch-linux-metapackages/

## setup

Install `de-p1st-repo` on your local machine as well as on
a remote server.

Adjust `/etc/de-p1st-repo/*.conf` according to your needs.

Run a webserver on the server to serve static content:

* https://hub.docker.com/_/nginx/ -> Hosting some simple static content
* `sudo docker run --name arch-repo -v /mnt/data/live/arch-repo:/usr/share/nginx/html:ro -d nginx`

Add the newly created mirror to your `/etc/pacman.conf`:

```
[de-p1st]
SigLevel = Optional TrustAll
Server = https://arch.p1st.de
```

## normal usage

1. Build packages on local machine

* `aur sync -c SOME_AUR_PACKAGE`
* `aur sync -c -u`

2. Push new packages to remote repository

* `arch-repo-push-new`

3. Check for AUR updates

* `arch-repo-vercmp`